Coleta todas as informações de uma regra de ponto etapa de identificação
curl --request GET \
--url https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacaoconst options = {method: 'GET'};
fetch('https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"nome": "Regra de ponto Default",
"regraDePontoId": "regraDePontoId-id",
"step": "CONFIG_HORA_EXTRA",
"codigo": 5
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Regras de ponto
Coleta todas as informações de uma regra de ponto etapa de identificação
GET
/
regras-de-ponto
/
{regraDePontoId}
/
identificacao
Coleta todas as informações de uma regra de ponto etapa de identificação
curl --request GET \
--url https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacaoconst options = {method: 'GET'};
fetch('https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.example.com/regras-de-ponto/{regraDePontoId}/identificacao")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"nome": "Regra de ponto Default",
"regraDePontoId": "regraDePontoId-id",
"step": "CONFIG_HORA_EXTRA",
"codigo": 5
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Path Parameters
ID da Regra
Response
Configuração de identificação
Nome para a regra de ponto
Example:
"Regra de ponto Default"
Id da Regra de ponto
Example:
"regraDePontoId-id"
Proximo step de configuração
Available options:
CONFIG_HORA_EXTRA, CONFIG_BANCO_HORAS, CONFIG_MISTO, HORAS_NEGATIVAS, FLEXIBILIDADE_TOLERANCIA, ADICIONAL_NOTURNO, DSR, TOLERANCIA, IDENTIFICACAO, CONCLUIDO Número opcional para editar o identificador
Example:
5